Subject: Re: Lavender

From: [email-masked] (pete hanson)
Date: Sun, 19 Feb 95 18:12:24 GMT

[email-masked] (Bolduc Diane) wrote:
>Hi,
>
>   This year I want to try growing lavender in a self-watering container
>of 1' 1/2 wide by 2' depth (Is it enough??). I haven't choose yet wich
>variety and if I should buy plants or start them from seeds. I'd like
>them to bloom this summer.  I live in a Zone 5 (CAN), the equivalent is
>it Zone 4-4a (USAD)? I live far north Vermont State, exacly in Montreal.
>
>   If it works, how many years could it stay in. Will I have to devide
>them? And how about the soil mix, do I use a rich soil or a poor one
>since it's going to stay in place? I'd like to keep growing lavender
>this way for few years.
>
>   And also, does anyone know if it's possible to place it in a
>greenhouse at the end of the summer for a second bloom?
>
>  You may have notice, Yes I'm crasy about lavender!!! :-)
>
>Thanks,
>
>Diane
>_*_*_*_*_*_*_*_*_*_*_*_*_*_*_*_*_*_*_*_*_*_*_*_*_*_*_*_*_*_
>:  You can answer here in the newsgroup for the benefit   :
>:  of everyone  or e-mail me at [email-masked]  :
>_*_*_*_*_*_*_*_*_*_*_*_*_*_*_*_*_*_*_*_*_*_*_*_*_*_*_*_*_*_
>

There is a variety that blooms annually (I think it's called Lavender Lady, I'm not sure)  Otherwise
 Lavender from seed  shouldn't bloom the first year.  Lavender Lady  only came out last year.
I have lavender plants (Northern Minnesota zone 3) that Ihave come up every year for 3 years.
The lavender plant I brought in never did well, I guess it didn't get enough light.  You might want to
just buy a single plant ( ask to make sure it will bloom this year, or check the tray and see if others
look like they are going to bud.)  the bigger the container the better, you may have to repot by the
 end of summer..  If you plant seeds, don't give up, I've heard it takes them a while to come up.
                                                                Kay Hanson